Remote agent Java version

This question is in reference to Atlassian Documentation: Supported platforms

I recently upgraded Bamboo 5.8.1- 5.9.10 and on my Bamboo server , I have Java 8u66. My remote agent Windows machine is at 8u31. Is it okay to keep agent at this java or 8u66 OR I can keep both 8u31 and 8u66. Please advise. Thanks

1 answer

1 accepted

0 vote

It is okay to keep 8u66. Server Java and agent java version does not need to match, as long as it is a supported version.

And you can have as many java versions as you want in your agent. The agent itself will run only on one of the Java versions but you can add the other versions as capabilities and the builds can use those capabilities.

Thanks Jobin! I See you are from Atlassian Team!

Appreciate your response.

I am not. Most users in this forum are either working for Atlassian experts (like me) or have got great experience with the Atlassian products. I get it wrong a lot of times though. So, please test wink

Oh okay.. I would wait for Atlassian answers !

Suggest an answer

Log in or Join to answer
Community showcase
Jason Wong
Published Tuesday in Agility Beta

Welcome to agility

Every team in the world is unique, and so   Atlassian believes   that each and every team's best way of working  needs to  be molded to their unique circumstances  – ...

460 views 8 16
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you
Atlassian Team Tour

Join us on the Team Tour

We're bringing product updates and pro tips on teamwork to ten cities around the world.

Save your spot